%define name	xmms-coverviewer
%define version	0.11
%define release	2mdk
%define fversion %version

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XMMS plugin that displays images related to the files being played.
License:	GPL
Group: 		Sound
Source:		http://prdownloads.sourceforge.net/coverviewer/%{name}-%{fversion}.tar.bz2
URL:		http://freshmeat.net/projects/coverviewer
Requires:	xmms >= 1.2.4
#gw the script for fetching the covers needs this
Requires: 	pygtk2.0
BuildRequires:	xmms-devel >= 1.2.4
BuildRequires:	libgdk-pixbuf-devel
BuildRequires:	id3lib-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
CoverViewer scans your directories for images and displays them while
playing songs in xmms. It can also retrieve covers directly from
internet using a script (A sample script using amazon.com is provided in
%{_datadir}/coverviewer)

%prep
%setup -q -n %name-%fversion

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/General/libcoverview.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS
%{_libdir}/xmms/General/libcoverview.so
%{_datadir}/coverviewer

%changelog
* Fri May 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11-2mdk
- fix buildrequires

* Fri May 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11-1mdk
- fix source URL
- new version

* Sun May  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11-0.pre3.2mdk
- fix deps

* Sun Dec 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-0.pre3.1mdk
- new version

* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-2mdk
- use more macros
- fix buildrequires

* Sun Aug 31 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.1.10-1mdk
- contributed by Eric Villani <villani@math.jussieu.fr>
